#######################################################################
#Script Name: nginx.conf
#Version: 1.3
#Description: Standard nginx conf for DA.
#Last Modify Date: 03302022
#Author:Brent Dacus
#Email:brent[at]thedacus[dot]net
########################################################################
#user  nginx;
#No need to change from auto its based on cpu.
worker_processes  auto;
pid /var/run/nginx.pid;

#error_log  logs/error.log;
#error_log  logs/error.log  notice;
#error_log  logs/error.log  info;

events {
    include /etc/nginx/nginx-events.conf;
}
## ulimit -a open file limit. The worker_rlimit_nofile should be the full open limit.
worker_rlimit_nofile 65535;

http {
    include       /etc/nginx/mime.types;

    # For user configurations not maintained by DirectAdmin. Empty by default.
    include /etc/nginx/nginx-includes.conf;

    # Supplemental configuration
    include /etc/nginx/nginx-fastcgi-cache.conf;
    include /etc/nginx/nginx-cloudflare.conf;
    include /etc/nginx/nginx-modsecurity-enable.conf;
    include /etc/nginx/nginx-defaults.conf;
    include /etc/nginx/nginx-gzip.conf;
    include /etc/nginx/directadmin-ips.conf;
    include /etc/nginx/directadmin-settings.conf;
    include /etc/nginx/nginx-vhosts.conf;
    include /etc/nginx/directadmin-vhosts.conf;
}
